#
# spec file for package python-MechanicalSoup
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-MechanicalSoup
Version:        0.2.0
Release:        1.1
Summary:        A Python library for automating interaction with websites
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/matt-hickford/MechanicalSoup
Source:         https://pypi.python.org/packages/source/M/MechanicalSoup/MechanicalSoup-%{version}.zip
BuildRequires:  python-beautifulsoup4
BuildRequires:  python-devel
BuildRequires:  python-requests
BuildRequires:  python-setuptools
BuildRequires:  python-six
BuildRequires:  unzip
Requires:       python-beautifulsoup4
Requires:       python-requests
Requires:       python-six
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
A Python library for automating interaction with websites.
MechanicalSoup automatically stores and sends cookies,
follows redirects, and can follow links and submit forms.
It doesn't do Javascript.

I was a fond user of the Mechanize library, but unfortunately
it's incompatible with Python 3 and development is inactive.
MechanicalSoup provides a similar API, built on Python giants
Requests (for http sessions) and BeautifulSoup (for document
navigation).

%prep
%setup -q -n MechanicalSoup-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%{python_sitelib}/mechanicalsoup
%{python_sitelib}/MechanicalSoup-%{version}-py*.egg-info

%changelog
* Mon Jul 14 2014 toddrme2178@gmail.com
- - Initial version
